Issue 119971 - Move UI Commands used in more than one application to GenericCommands.xcu
Move UI Commands used in more than one application to GenericCommands.xcu
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
3.4.0
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 15:36 UTC by Ariel Constenla-Haile
Modified: 2013-07-11 15:22 UTC (History)
0 users

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2012-06-12 15:36:04 UTC
There are several commands that are currently used in more than application with the same label, but in different XxxCommands.xcu. All commands used in more than one application should be moved to GenericCommands.xcu, as far as it make sense to use the same label in all applications.

For example, the command ".uno:SendMailDocAsMS" must have a diffent label in every application:
- in Writer: E-mail as ~Microsoft Word...
- in Calc: E-mail as ~Microsoft Excel...
This commands should be kept in their respective XxxCommands.xcu.

But commands like ".uno:AutoSum" (present in WriterCommands.xcu and DrawImpressCommands.xcu with the same label), should be moved to GenericCommands.xcu
Comment 1 Ariel Constenla-Haile 2012-06-12 15:37:11 UTC
Started
Comment 2 Ariel Constenla-Haile 2012-06-13 15:53:05 UTC
Fixed with the following commits:

Revision 1349908 | BasicIDECommands.xcu and BibliographyCommands.xcu
Revision 1349909 | CalcCommands.xcu
Revision 1349910 | ChartCommands.xcu
Revision 1349911 | DbuCommands.xcu
Revision 1349912 | DrawImpressCommands.xcu
Revision 1349913 | MathCommands.xcu
Revision 1349914 | StartModuleCommands.xcu
Revision 1349915 | WriterCommands.xcu
Revision 1349916 | ReportCommands.xcu
Revision 1349917 | GenericCommands.xcu